#include "SizeHelper.h"

QString humanReadableSize(double size)
{
    static constexpr const char* list[] = {
        "B", "KiB", "MiB", "GiB", "TiB"
    };
    static constexpr const size_t n = sizeof(list)/sizeof(char*);

    size_t i= 0;
    for(; i<n-1; ++i) {
        if(size<1024)
            break;
        size /= 1024;
    }
    return QString("%1 %2").arg(size,0,'f',2).arg(list[i]);
}
