#ifndef DEVICESTATUSZMQPUBLISHER_H
#define DEVICESTATUSZMQPUBLISHER_H

#include "device-modules/ModularDeviceStatus.h"
#include "zmq-lib/ZmqPublisher.h"

class DeviceStatusZmqPublisher : public ZmqPublisher
{
    Q_OBJECT
public:
    DeviceStatusZmqPublisher(QObject *parent = nullptr);

public slots:
    void setStatus(const ModularDeviceStatus &r);
    void publish_event();

private:
    void sentDevStatus();
    QVariantMap getDevStatus(const ModularDeviceStatus &devSt);

    QMap<DeviceIndex, ModularDeviceStatus> pendingStatus;

};

#endif // DEVICESTATUSZMQPUBLISHER_H
