#include "ZmqTypes.h"

#include <QDataStream>
#include <QDebug>

QDebug operator<<(QDebug dbg, const ZmqConfig &s)
{
    dbg << "ZmqConfig{"
        << "auto_port:" << s.auto_port
        << "port:" << s.port
        << "enabled:" << s.enabled
        << "test_mode:" << s.test_mode
        << "send_all:" << s.send_all
        << "print_messages:" << s.print_messages
        << "}";
    return dbg;
}

QDataStream &operator<<(QDataStream &out, const ZmqConfig &r)
{
    out
            << r.auto_port
            << r.port
            << r.enabled
            << r.test_mode
            << r.send_all
            << r.print_messages;
    return out;
}

QDataStream &operator>>(QDataStream &in, ZmqConfig &r)
{
    in
            >> r.auto_port
            >> r.port
            >> r.enabled
            >> r.test_mode
            >> r.send_all
            >> r.print_messages;
    return in;
}
