#include "HrbProcessOutput.h"
#include "ui_HrbProcessOutput.h"
#include <QTime>
#include <QPlainTextEdit>
#include <QDebug>

HrbProcessOutput::HrbProcessOutput(int r, QWidget *parent) :
    QWidget(parent),
    row(r),
    ui(new Ui::HrbProcessOutput)
{
    ui->setupUi(this);
    ui->analyzerGroupBox->hide();
}

HrbProcessOutput::~HrbProcessOutput()
{
    delete ui;
}

void HrbProcessOutput::addLog(bool isDumper, const QString &log)
{
    QString _log(log);
    _log.replace('\n',' ');
    QPlainTextEdit *edit;
    if(isDumper)
        edit = ui->dumperPlainTextEdit;
    else
        edit = ui->analyzerPlainTextEdit;
    edit->appendPlainText(QString("[%1] %2").arg(QTime::currentTime().toString(), _log));
}
