#ifndef PARAMS_H
#define PARAMS_H

#include <QtGlobal>

const int EVENT_EXPIRE_TIMEOUT_MS = 8000;
const int EXPECTED_EV_RATE_KHZ = 10;
const int EVENTS_IN_BUFER = EVENT_EXPIRE_TIMEOUT_MS*EXPECTED_EV_RATE_KHZ;

const int EVENT_SIZE_MAX = 0x7FFFFFFF/EVENTS_IN_BUFER; // in bytes
const int EVENT_SIZE_MIN = 1e2; // in bytes
const int EVENT_SIZE_DEFAULT = qMin(10000, EVENT_SIZE_MAX); // in bytes

const int DATA_RING_SIZE = EVENTS_IN_BUFER*EVENT_SIZE_DEFAULT;
const int DATA_RING_SIZE_DEF = DATA_RING_SIZE;
const int DATA_RING_SIZE_MIN = EVENTS_IN_BUFER*EVENT_SIZE_MIN;
const int DATA_RING_SIZE_MAX = EVENTS_IN_BUFER*EVENT_SIZE_MAX;

const int FILE_WRITER_BUFFER_SIZE = DATA_RING_SIZE;
const int TCP_SERVER_BUFFER_SIZE = FILE_WRITER_BUFFER_SIZE;

#endif // PARAMS_H
