/*
**    Copyright 2020 Ilia Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DISCOVERYMAINWINDOW_H
#define DISCOVERYMAINWINDOW_H

#include "base/app/BaseMainWindow.h"

class PNPDiscoverDialog;

namespace Ui {
class PnpBrowserMainWindow;
}

class PnpBrowserMainWindow : public BaseMainWindow
{
    Q_OBJECT

public:
    explicit PnpBrowserMainWindow(QWidget *parent = nullptr);
    virtual ~PnpBrowserMainWindow();

protected:
    virtual void changeEvent(QEvent *e);

private slots:
    void on_actionShow_sequence_stat_toggled(bool arg1);

private:
    Ui::PnpBrowserMainWindow *ui;

    PNPDiscoverDialog * const pnpDiscoverDialog;
};

#endif // DISCOVERYMAINWINDOW_H
