/*
**    Copyright 2022 Ilia Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef CLOCKCONTROLCONFIG_H
#define CLOCKCONTROLCONFIG_H

#include <QMetaType>
#include "ClockControlType.h"

struct ClockControlConfig
{
    friend bool operator==(const ClockControlConfig &, const ClockControlConfig &) = default;

    bool pll_bypass = true;
    ClockControlType source = ClockControlAuto;
};
Q_DECLARE_METATYPE(ClockControlConfig)

#endif // CLOCKCONTROLCONFIG_H
