#ifndef TLU40LVDSTOFTRIGGERCONFIG_H
#define TLU40LVDSTOFTRIGGERCONFIG_H

#include <QMetaType>

struct Tlu40LvdsTofTriggerModConfig
{
    friend bool operator==(const Tlu40LvdsTofTriggerModConfig &, const Tlu40LvdsTofTriggerModConfig &) = default;

    constexpr static const bool DEF_CH_EN = true;

    quint16 shaperVal = 0;
    QVector<bool> chEn;
};
Q_DECLARE_METATYPE(Tlu40LvdsTofTriggerModConfig)

struct Tlu40LvdsTofTriggerConfig
{
    friend bool operator==(const Tlu40LvdsTofTriggerConfig &, const Tlu40LvdsTofTriggerConfig &) = default;

    QVector<Tlu40LvdsTofTriggerModConfig> modConfig;
};
Q_DECLARE_METATYPE(Tlu40LvdsTofTriggerConfig)

#endif // TLU40LVDSTOFTRIGGERCONFIG_H
