//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//


#ifndef QXWZOOMER_H
#define QXWZOOMER_H

#include "qwt_plot_zoomer.h"
#include <qxw/qxw_global.h>

class QwtPlotCanvas;

class QXW_EXPORT QxwZoomer: public QwtPlotZoomer
{
public:
    explicit QxwZoomer(QwtPlotCanvas *canvas);

    virtual QwtText trackerText(const QwtDoublePoint &pos) const;
    virtual void 	zoom (int up);
};

#endif // QXWZOOMER_H
